Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.io.common
Interface T3FileSystem

Deprecated. Deprecated in WebLogic Server 6.1.

public interface T3FileSystem

Interface that defines a WebLogic File System. WebLogic File Systems are produced by the IO services factory. They may represent the local file system on the client or a remote file system on the server. This makes it easy to write code that treats the two uniformly.

Here's an example of how this interface is used in the process of writing a remote file:

       T3Client t3 = new T3Client("t3://host:port");

       // Get file system, file, and output stream.
       T3FileSystem myfs = t3.services.io().getFileSystem("myFileSystem");
       T3File myFile = myfs.getFile("someDirectory/someFile");
       T3FileOutputStream os = myFile.getFileOutputStream();

       // Use normal OutputStream operations on os to
       // write a byte "b" to the output stream
       os.write(b);

To make a directory on a WebLogic server available as a remote file system, sometimes called a "mount point", set the property weblogic.io.fileSystem in the `config.xml` file. For example, to make the directory /dirA/dirB/dirC available as myFileSystem, include weblogic.io.fileSystem.myFileSystem=/dirA/dirB/dirC.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  `IOServicesDef`, `T3File`

Method Summary
`T3File` | `getFile(java.lang.String path)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3File` | `getFile(java.lang.String path, java.lang.String name)` Deprecated. Returns a T3File with name path + separator() + name.
`T3FileInputStream` | `getFileInputStream(java.lang.String path)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3FileInputStream` | `getFileInputStream(java.lang.String path, int bufferSize, int readAhead)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3FileOutputStream` | `getFileOutputStream(java.lang.String path)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3FileOutputStream` | `getFileOutputStream(java.lang.String path, int bufferSize, int writeBehind)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `getName()` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `pathSeparator()` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `separator()` Deprecated. Deprecated in WebLogic Server 6.1.

Method Detail

### separator

    public java.lang.String separator()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Returns the file system-dependent file separator string, which separates the directory and file components in a filename.

  Returns:
    the file separator string

### pathSeparator

    public java.lang.String pathSeparator()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Returns the file system-dependent path separator string, which is often used to separate filenames in a sequence of files given as a "path list".

  Returns:
    the path separator string

### getFile

    public T3File getFile(java.lang.String path)

  Deprecated. Deprecated in WebLogic Server 6.1.
  This method provides the primary service of the T3FileSystem object - it produces T3File objects given their names.

  Parameters:
    `path` - The name of the file.
  Returns:
    The T3File with the given name.

### getFile

    public T3File getFile(java.lang.String path,
                          java.lang.String name)

  Deprecated.
  Returns a T3File with name path + separator() + name.

  Parameters:
    `path` - The path to the parent of the file.
    `name` - The name of the file.
  Returns:
    The T3File with name path + separator() + name.

### getName

    public java.lang.String getName()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Returns the name of this file system.

### getFileInputStream

    public T3FileInputStream getFileInputStream(java.lang.String path)
                                         throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Convenience method that calls getFile(path) and then invokes the getFileInputStream() method of the resulting T3File. Returns a new T3FileInputStream object for reading from the file. If it is remote, uses the default bufferSize and readAhead.

  Parameters:
    `path` - The name of the file from which to get the stream
  Returns:
    the T3FileInputStream
  Throws:
    T3Exception - if there is an error creating the stream

### getFileInputStream

    public T3FileInputStream getFileInputStream(java.lang.String path,
                                                int bufferSize,
                                                int readAhead)
                                         throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Convenience method that calls getFile(path) and then invokes the getFileInputStream(bufferSize, readAhead) method of the resulting T3File. Returns a new T3FileInputStream object for reading from the file. If it is remote, uses the specified bufferSize and readAhead. The size of the buffer is in bytes, and readAhead refers to the number of buffers fetched in advance of the user's request.

  Parameters:
    `path` - The name of the file from which to get the stream
    `bufferSize` - Size of transfer buffers in bytes
    `readAhead` - Number of transfer buffers fetched in advance
  Returns:
    the T3FileInputStream
  Throws:
    T3Exception - if there is an error creating the stream

### getFileOutputStream

    public T3FileOutputStream getFileOutputStream(java.lang.String path)
                                           throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Convenience method that calls getFile(path) and then invokes the getFileOutputStream() method of the resulting T3File. Returns a new T3FileOutputStream object for writing to the file. If it is remote, uses the default bufferSize and writeBehind.

  Parameters:
    `path` - The name of the file from which to get the stream
  Returns:
    the T3FileOutputStream
  Throws:
    T3Exception - if there is an error getting the stream

### getFileOutputStream

    public T3FileOutputStream getFileOutputStream(java.lang.String path,
                                                  int bufferSize,
                                                  int writeBehind)
                                           throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Convenience method that calls getFile(path) and then invokes the getFileOutputStream(bufferSize, writeBehind) method of the resulting T3File. Returns a new T3FileOutputStream object for writing to the file. If it is remote, uses the specified bufferSize and writeBehind. The size of the buffer is in bytes, and writeBehind refers to the number of unwritten buffers that can be outstanding before the next write blocks.

  Parameters:
    `path` - The name of the file from which to get the stream
    `bufferSize` - Size of transfer buffers in bytes
    `writeBehind` - Number of unwritten transfer buffers
  Returns:
    the T3FileOutputStream
  Throws:
    T3Exception - if there is an error getting the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference